Package org.eclipse.app4mc.amalthea.model.builder

## Class ConstraintsBuilder

- Object
- - ConstraintsBuilder

    public class ConstraintsBuilder
    extends Object

### Constructor Summary

Constructors
`ConstraintsBuilder()`

### Method Summary

All Methods
`ConstraintsModel` `constraintsModelRoot​(Amalthea container, Procedures.Procedure1<ConstraintsModel> initializer)`
`void` `deadline_Process​(ConstraintsModel container, AbstractProcess process, Time deadline)`
`void` `deadline_Runnable​(ConstraintsModel container, Runnable runnable, Time deadline)`
`void` `eventChain​(ConstraintsModel container, Procedures.Procedure1<EventChain> initializer)`
`void` `limit_Count​(Requirement container, Procedures.Procedure1<CountRequirementLimit> initializer)`
`void` `limit_CPUPercentage​(Requirement container, Procedures.Procedure1<CPUPercentageRequirementLimit> initializer)`
`void` `limit_Frequency​(Requirement container, Procedures.Procedure1<FrequencyRequirementLimit> initializer)`
`void` `limit_Percentage​(Requirement container, Procedures.Procedure1<PercentageRequirementLimit> initializer)`
`void` `limit_Time​(Requirement container, Procedures.Procedure1<TimeRequirementLimit> initializer)`
`void` `requirement_Architecture​(ConstraintsModel container, Procedures.Procedure1<ArchitectureRequirement> initializer)`
`void` `requirement_Process​(ConstraintsModel container, Procedures.Procedure1<ProcessRequirement> initializer)`
`void` `requirement_ProcessChain​(ConstraintsModel container, Procedures.Procedure1<ProcessChainRequirement> initializer)`
`void` `requirement_Runnable​(ConstraintsModel container, Procedures.Procedure1<RunnableRequirement> initializer)`
`void` `subchain​(AbstractEventChain container, Procedures.Procedure1<SubEventChain> initializer)`
`void` `subchain_ref​(AbstractEventChain container, EventChain ref)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConstraintsBuilder

    public ConstraintsBuilder()

### Method Detail

#### constraintsModelRoot

    public ConstraintsModel constraintsModelRoot​(Amalthea container,
                                                 Procedures.Procedure1<ConstraintsModel> initializer)

#### requirement_Architecture

    public void requirement_Architecture​(ConstraintsModel container,
                                         Procedures.Procedure1<ArchitectureRequirement> initializer)

#### requirement_Runnable

    public void requirement_Runnable​(ConstraintsModel container,
                                     Procedures.Procedure1<RunnableRequirement> initializer)

#### requirement_Process

    public void requirement_Process​(ConstraintsModel container,
                                    Procedures.Procedure1<ProcessRequirement> initializer)

#### requirement_ProcessChain

    public void requirement_ProcessChain​(ConstraintsModel container,
                                         Procedures.Procedure1<ProcessChainRequirement> initializer)

#### deadline_Process

    public void deadline_Process​(ConstraintsModel container,
                                 AbstractProcess process,
                                 Time deadline)

#### deadline_Runnable

    public void deadline_Runnable​(ConstraintsModel container,
                                  Runnable runnable,
                                  Time deadline)

#### limit_Time

    public void limit_Time​(Requirement container,
                           Procedures.Procedure1<TimeRequirementLimit> initializer)

#### limit_Frequency

    public void limit_Frequency​(Requirement container,
                                Procedures.Procedure1<FrequencyRequirementLimit> initializer)

#### limit_Percentage

    public void limit_Percentage​(Requirement container,
                                 Procedures.Procedure1<PercentageRequirementLimit> initializer)

#### limit_Count

    public void limit_Count​(Requirement container,
                            Procedures.Procedure1<CountRequirementLimit> initializer)

#### limit_CPUPercentage

    public void limit_CPUPercentage​(Requirement container,
                                    Procedures.Procedure1<CPUPercentageRequirementLimit> initializer)

#### eventChain

    public void eventChain​(ConstraintsModel container,
                           Procedures.Procedure1<EventChain> initializer)

#### subchain

    public void subchain​(AbstractEventChain container,
                         Procedures.Procedure1<SubEventChain> initializer)

#### subchain_ref

    public void subchain_ref​(AbstractEventChain container,
                             EventChain ref)